# $Revision: 1.13 $, $Date: 2002/07/17 08:07:46 $
%include	/usr/lib/rpm/macros.perl
Summary:	Ident server with masquerading support
Summary(pl):	Ident serwer z obsug maskowanych adresw IP
Name:		midentd
Version:	2.3.1
Release:	2
License:	GPL
Group:		Networking/Daemons
Source0:	http://panorama.sth.ac.at/midentd/files/%{name}-%{version}.tar.gz
Source1:	%{name}.inetd
Source2:	%{name}.logrotate
URL:		http://panorama.sth.ac.at/midentd/
BuildRequires:	perl-devel
Prereq:		rc-inetd
Provides:	identserver
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Buildarch:	noarch
Obsoletes:	pidentd
Obsoletes:	oidentd

%description
midentd is an identd replacement with masquerading support. With your
average identd on a masquerading firewall, if an ident request comes
in for a masqueraded connection, it will return 'ERROR : NO-USER' or
something along those lines. This may be quite irritating at times,
with, for example, IRC servers that won't let you in if they don't get
a valid ident reply.

%description -l pl
midentd jest serwerem usugi ident z obsug maskowania adresw.
Jeeli masz zainstalowanego zwykego identd oraz korzystasz z
maskowania adresw przy zapytaniu o maskowane poczenie identd zwraca
'ERROR : NO-USER' kyb co w tym stylu. To moe by czasami irytujce,
na przykad jak serwery IRC-a nie chc Ci wpuci jeeli nie
otrzymaj poprawnej odpowiedzi o ident.

%prep
%setup  -q

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/sysconfig/rc-inetd,/etc/logrotate.d,%{_sbindir},/var/log}

install midentd $RPM_BUILD_ROOT%{_sbindir}
install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/midentd
install %{SOURCE2} $RPM_BUILD_ROOT/etc/logrotate.d/midentd

:> $RPM_BUILD_ROOT%{_sysconfdir}/midentd.conf
:> $RPM_BUILD_ROOT%{_sysconfdir}/midentd.mircusers
:> $RPM_BUILD_ROOT/var/log/midentd.log

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f /var/lock/subsys/rc-inetd ]; then
        /etc/rc.d/init.d/rc-inetd reload 1>&2
else
        echo "Type \"/etc/rc.d/init.d/rc-inetd start\" to start inet server" 1>&2
fi

%postun
if [ -f /var/lock/subsys/rc-inetd ]; then
        /etc/rc.d/init.d/rc-inetd reload
fi

%files
%defattr(644,root,root,755)
%doc CHANGELOG README
%attr(640,root,root) %config(noreplace) %verify(not mtime md5 size) /etc/sysconfig/rc-inetd/midentd
%config(noreplace) %verify(not mtime md5 size) %{_sysconfdir}/midentd.*
%attr(755,root,root) %{_sbindir}/*
%config /etc/logrotate.d/midentd
%attr(0600,nobody,root) %ghost /var/log/midentd.log

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: midentd.spec,v $
Revision 1.13  2002/07/17 08:07:46  marcus
- use new %%doc
- rel.2.

Revision 1.12  2002/02/23 03:44:48  kloczek
- adapterized.

Revision 1.11  2002/02/22 23:29:16  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/01/18 02:13:50  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2002/01/11 13:59:50  misiek
- fixed typo

Revision 1.8  2001/10/29 20:12:28  kloczek
- updated to 2.3.1.

Revision 1.7  2001/10/10 08:05:11  areq
- 2.3, STBR

Revision 1.6  2001/09/16 13:05:42  kloczek
- updated to 2.2,
- added autogenerate perl dependences,
- updated URL and Source url.

Revision 1.5  2001/07/28 21:37:30  blues
- typo: %s/sever"/server"/

Revision 1.4  2001/07/26 05:42:18  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.2  2001/01/22 08:56:04  kloczek
- added full Source url.

Revision 1.1  2001/01/03 11:30:02  undefine
- Initial PLD version

